Subject: [P2PSIP] Jari Arkko's No Objection on draft-ietf-p2psip-diagnostics-21: (with COMMENT)

From: "Jari Arkko" <[email-masked]>
Date: Sat, 19 Mar 2016 15:28:05 -0700

Jari Arkko has entered the following ballot position for
draft-ietf-p2psip-diagnostics-21: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-p2psip-diagnostics/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for improving the IANA considerations section! However, Section
9.1 still has a bug that IMHO needs to be corrected. The reserved values
need to be shifted in value by one, because now you have two with the
value 1.

As Alexey said: "The draft has improved, however Section 9.1 still seems
incorrect: if the first bit is reserved, then the first allocated value
must be 2, so all other allocated values should be shifted by 1 bit."

However, I have cleared so that the shepherding AD and the WG can take
care of this. Please make sure you fix this though, as my understanding
is that if you didn't make the change, the protocol would not work as you
intended it to work.

---

From: "Songhaibin (A)" <[email-masked]>
Date: Mon, 21 Mar 2016 01:03:26 +0000

Yes. That's a bug. I will fix it as Alexey suggested.

Best Regards!
-Haibin

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]]
> Sent: Sunday, March 20, 2016 6:28 AM
> To: The IESG
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: Jari Arkko's No Objection on draft-ietf-p2psip-diagnostics-21: (with
> COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> 9.1 still has a bug that IMHO needs to be corrected. The reserved values need
> to be shifted in value by one, because now you have two with the value 1.
> 
> incorrect: if the first bit is reserved, then the first allocated value must be 2, so
> all other allocated values should be shifted by 1 bit."
> 
> However, I have cleared so that the shepherding AD and the WG can take care
> of this. Please make sure you fix this though, as my understanding is that if you
> didn't make the change, the protocol would not work as you intended it to
> work.
>